@charset "utf-8";
/* レイアウトのためのCSS */

body {
  font-family: "Noto Serif JP", serif;
  font-size: 1rem;
  line-height: 1.85;

  letter-spacing: 0.1em;
  word-wrap: break-word;

  color: #333;
  background: #f3f3f3 url("../img/bg_washi.png");
  background-size: 48px 48px;

  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

ul {
  margin: 0;
  padding: 0;

  list-style: none;
}

a {
  text-decoration: none;

  color: #333;
  outline: none;
}

img {
  max-width: 100%;
  height: auto;
}

/* area */

#container {
  position: relative;

  overflow-x: hidden;
}

#header {
  position: fixed;
  top: 0;
  left: 0;

  width: 230px;
  height: 100vh;
  padding: 150px 0 0 0;

  background: #fdfdfd;
}

#content-area {
  width: 100%;
  padding: 0 0 0 230px;
}

@media screen and (max-width: 990px) {
  #header {
    position: relative;

    width: 100%;
    height: auto;
    padding: 0;
  }

  #content-area {
    padding: 0;
  }
}
/* heading */
.heading-block {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

#menu h2,
#access h2 {
  font-size: 2rem;

  margin: 100px 0;

  letter-spacing: 0.2em;
  -ms-writing-mode: tb-rl;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
  text-orientation: upright;
}

/* slider */

#slider-area {
  position: relative;
}

#slider-area .scrolldown1 {
  z-index: 1;
  top: inherit;
  bottom: 0;
}

/* header */

#header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.header-area {
  width: 73px;
  height: 230px;
}

#header h1 {
  font-size: 1rem;
  line-height: 1.3;

  padding: 0 0 20px 0;

  letter-spacing: 1em;
  -ms-writing-mode: tb-rl;

  color: #3e2058;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
  text-orientation: upright;
}

#header h1 span {
  font-size: 2.5rem;

  display: block;

  letter-spacing: 0.5em;
}

#header p {
  letter-spacing: 0.3em;
  -ms-writing-mode: tb-rl;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
  text-orientation: upright;
}

#header .sns-link {
  position: absolute;
  bottom: 50px;
  left: 45px;
}

@media screen and (max-width: 990px) {
  #header {
    position: absolute;
    z-index: 2;

    height: 90vh;

    color: #fff;
    background: none;

    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }

  .header-area {
    width: auto;
    height: auto;
  }

  #header h1 {
    width: 119px;
    /*height:200px;*/
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    padding: 20px 22px 0 0;

    white-space: nowrap;

    color: #fff;
    background: #3e2058;
  }

  #header h1 span {
    font-size: 2.3rem;
  }

  #header p {
    width: 119px;
    height: 145px;
    padding: 20px 18px 20px 0;

    background: #3e2058;
  }

  #header .sns-link {
    bottom: 20px;
    left: 10px;
  }
}

/* sns */

.sns-link li {
  display: inline-block;

  margin: 0 10px;
}

.sns-link li img {
  width: 20px;
}

/* g-navi */

#main-nav {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

#g-nav ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

#g-nav ul li a {
  position: relative;

  display: block;

  padding: 34px 25px;

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
}

#g-nav ul li.current a::before,
#g-nav ul li a:hover::before {
  /*描画位置*/
  position: absolute;
  top: 0;
  left: 50%;
  /*線の形状*/

  width: 1px;
  height: 20px;

  content: "";
  /*線の動き1.4秒かけて動く。永遠にループ*/
  -webkit-animation: gnavipathmove 2.4s ease-in-out infinite;
  animation: gnavipathmove 2.4s ease-in-out infinite;

  opacity: 0;
  color: #6a2e9e;
  background: #000;
}

@media screen and (max-width: 990px) {
  #g-nav ul {
    display: block;

    text-align: center;
  }
  #g-nav ul li a {
    padding: 15px;

    color: #fff;
  }
  #g-nav ul li.current a::before,
  #g-nav ul li a:hover::before {
    top: 48%;
    left: 0;

    width: 10px;
    height: 1px;

    -webkit-animation: none;
    animation: none;

    opacity: 1;
    background: #fff;
  }
}

/*高さ・位置・透過が変化して線が上から下に動く*/
@-webkit-keyframes gnavipathmove {
  0% {
    top: 0;

    height: 0;

    opacity: 0;
  }
  30% {
    height: 20px;

    opacity: 1;
  }
  100% {
    top: 30px;

    height: 0;

    opacity: 0;
  }
}
@keyframes gnavipathmove {
  0% {
    top: 0;

    height: 0;

    opacity: 0;
  }
  30% {
    height: 20px;

    opacity: 1;
  }
  100% {
    top: 30px;

    height: 0;

    opacity: 0;
  }
}

#main-nav dl {
  padding: 20px 40px;

  text-align: center;

  color: #fff;
  background: #3e2058;
}

#main-nav dl dt {
  font-size: 0.8rem;
}

#main-nav dl a {
  font-size: 1.5vw;

  color: #fff;
}

@media screen and (max-width: 990px) {
  #main-nav dl {
    display: none;

    padding: 10px 0;

    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;

    opacity: 0;
  }

  #main-nav dl a {
    font-size: 1.2rem;
  }

  #main-nav dl.telactive {
    position: fixed;
    z-index: 9999;
    bottom: 30px;
    left: 20%;

    display: block;

    width: 60%;

    -webkit-animation: UpAnime 1s forwards;
    animation: UpAnime 1s forwards;

    border: 1px solid rgba(255, 255, 255, 0.8);
  }
}

@media screen and (max-width: 420px) {
  #main-nav dl.telactive {
    left: 5%;

    width: 90%;
  }
}

/* lead */

#lead {
  position: relative;

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  height: 80vh;
  padding: 25vh 0 0 0;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

#lead .lead-area {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  flex-direction: row-reverse;

  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
  -ms-flex-direction: row-reverse;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

#lead .svganimeblock {
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;

  width: 50%;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

#lead .lead-heading {
  width: 30%;
}

#lead h2 {
  font-size: 2rem;
  line-height: 2.2;

  padding: 0 0 0 30px;

  letter-spacing: 0.1em;
  -ms-writing-mode: tb-rl;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}

#lead .lead-desc {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  flex-direction: row-reverse;

  width: 70%;
  height: 16em;

  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
  -ms-flex-direction: row-reverse;
}

#lead .lead-desc p {
  line-height: 3;

  width: 12em;
  margin: 0 0 0 30px;

  letter-spacing: 0.1em;
  -ms-writing-mode: tb-rl;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}

#lead .btnarrow5 {
  padding: 20px 15px 40px 15px;

  -ms-writing-mode: tb-rl;

  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}

#lead .btnarrow5::before {
  top: 90%;
  right: 50%;

  width: 1px;
  height: 40px;
}

#lead .btnarrow5::after {
  top: 105%;
  right: 60%;
}

_:-ms-lang(x),
#lead .btnarrow5::after {
  right: 70%;
}

@media screen and (max-width: 1020px) {
  #lead h2 {
    font-size: 1.5rem;
    line-height: 1.8;

    display: inline-block;

    padding: 0 0 50px 0;

    text-align: left;
    letter-spacing: 0.4em;
  }

  #lead .lead-desc p {
    line-height: 2.5;
  }
}

@media screen and (max-width: 920px) {
  #lead {
    height: auto;
    padding: 100px 0;
  }

  #lead .lead-heading {
    width: 100%;

    text-align: center;
  }

  #lead .lead-desc {
    display: block;

    width: 100%;
    height: auto;
    padding: 0 30px;
  }

  #lead .lead-desc p {
    width: auto;
    margin: 0 0 30px 0;

    -ms-writing-mode: lr-tb;

    -webkit-writing-mode: horizontal-tb;
    writing-mode: horizontal-tb;
  }

  #lead .btnarrow5 {
    display: block;

    width: 250px;
    margin: 0 auto;
    padding: 8px 30px;

    -ms-writing-mode: lr-tb;

    -webkit-writing-mode: horizontal-tb;
    writing-mode: horizontal-tb;
  }

  #lead .btnarrow5::after {
    top: 152%;
    right: 52%;
  }
}

/* menu */

#menu {
  position: relative;

  margin: 0 0 100px 0;
}

#menu .menu-bg {
  position: relative;

  width: 100%;
  height: 50vh;

  background: url("../img/bg_01.jpg") no-repeat center;
  background-attachment: fixed;
  background-size: cover;
}

#menu section {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

#menu section:nth-of-type(2n) {
  flex-direction: row-reverse;

  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
  -ms-flex-direction: row-reverse;
}

#menu .menu-img {
  width: 50%;
  height: 40vh;
}

#menu .menu-img-detail {
  height: 40vh;
}

#menu .menu-box {
  -webkit-animation-delay: 0.5s;
  animation-delay: 0.5s;
}

#menu .menu-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  width: 50%;

  -ms-writing-mode: tb-rl;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
  text-orientation: upright;
}

#menu section:nth-of-type(1) .menu-img-detail {
  background: url("../img/pict_01.jpg") no-repeat center;
  background-size: cover;
}

#menu section:nth-of-type(2) .menu-img-detail {
  background: url("../img/pict_02.jpg") no-repeat center;
  background-size: cover;
}

#menu section:nth-of-type(3) .menu-img-detail {
  background: url("../img/pict_03.jpg") no-repeat center;
  background-size: cover;
}

#menu .menu-content h3 {
  font-size: 1.2rem;

  margin: 0 0 0 1em;
}

#menu .menu-content p {
  line-height: 2.5;

  height: 13em;
}

@media screen and (max-width: 768px) {
  #menu .menu-bg {
    background-attachment: inherit;
  }
}

@media screen and (max-width: 560px) {
  #menu .menu-img,
  #menu .menu-content {
    width: 100%;
    margin: 0 0 50px 0;
  }
}

/* access */

#access {
  position: relative;
}

#access .access-bg {
  width: 100%;
  height: 50vh;

  background: url("../img/bg_02.jpg") no-repeat center;
  background-attachment: fixed;
  background-size: cover;
}

#access .access-area {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  width: 90%;
  margin: 0 auto 100px auto;

  background: #fff;
  -webkit-box-shadow: 0 4px 4px #ccc;
  box-shadow: 0 4px 4px #ccc;

  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

#access .access-area .access-block {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  width: 50%;

  text-align: center;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

#access .access-area .access-block h3 {
  font-size: 1.2rem;

  margin: 0 0 20px 0;
}

#access .access-area .access-block p {
  margin: 0 0 20px 0;
}

#access .access-map {
  width: 50%;
}

#access .iframe-wrap {
  position: relative;
  z-index: 2;

  overflow: hidden;

  height: 0;
  padding-top: 30px;
  padding-bottom: 51.65%;
}

#access .iframe-wrap iframe,
#access .iframe-wrap object,
#access .iframe-wrap embed {
  position: absolute;
  top: 0;
  left: 0;

  width: 100%;
  height: 100%;
}

@media screen and (max-width: 1040px) {
  #access .access-area .access-block,
  #access .access-map {
    width: 100%;
  }
  #access .access-area .access-block {
    padding: 40px 20px;
  }
}

@media screen and (max-width: 768px) {
  #access .access-bg {
    background-attachment: inherit;
  }
}

/* reserve */

#reserve {
  position: relative;

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  width: 90%;
  margin: 0 auto 100px auto;
  padding: 100px 30px;

  text-align: center;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

#reserve .scrolldown1 {
  top: -10vh;
}

#reserve h2 {
  font-size: 1.2rem;
}

#reserve .tel {
  font-size: 2vw;

  margin: 0 0 20px 0;
}

#reserve p br {
  display: none;
}

@media screen and (max-width: 990px) {
  #reserve h2 {
    font-size: 1rem;
  }
  #reserve .tel {
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 540px) {
  #reserve p br {
    display: block;
  }
}

/* footer */

#footer {
  padding: 40px;

  color: #fff;
  background: #3e2058;
}

#footer .footer-area {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

#footer .footer-logo {
  margin: 0 0 20px 0;

  letter-spacing: 1em;
}

#footer .footer-logo span {
  font-size: 1.6rem;

  display: block;
}

#footer .footer-link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

#footer .footer-link ul {
  font-size: 0.9rem;

  margin: 0 2vw 0 0;
}

#footer .footer-link ul li {
  display: inline-block;

  margin: 0 10px;
}

#footer .footer-link a {
  color: #fff;
}

#footer small {
  color: #ccc;
}

#footer #page-top span {
  position: relative;
  top: -10px;
}

#footer #page-top span::before {
  position: absolute;
  top: -3px;
  left: 50%;

  width: 1px;
  height: 30px;

  content: "";

  background: #6c6c6c;
}

#footer #page-top span::after {
  position: absolute;
  top: -7px;
  left: 6px;

  width: 1px;
  height: 20px;

  content: "";
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);

  background: #6c6c6c;
}

@media screen and (min-width: 769px) {
  #footer #page-top a:hover span::before,
  #footer #page-top a:hover span::after {
    background: #fff;
  }
}

@media screen and (max-width: 768px) {
  #footer .footer-info {
    width: 100%;

    text-align: center;
  }
  #footer .footer-logo {
    margin: 0;
  }

  #footer .footer-link {
    display: block;

    width: 100%;
  }

  #footer .footer-link ul {
    line-height: 3;

    margin: 50px 0;

    text-align: center;
  }

  #footer small {
    display: block;

    text-align: center;
  }
}
